let busy = false;
let canSignals = [
  {
    signal_name: "123",
  },
  {
    signal_name: "456",
  },
  {
    signal_name: "789",
  },
];

export const CANSignalsExportProvider = ({ children }) => {
  return <div data-testid="mocked-cansignalsprovider">{children}</div>;
};

export const useCANSignalsExportContext= () => ({
  busy,
  canSignals,
  getCANSignalList: jest.fn(),
  getDynamicColumnCANSignals: jest.fn(),
});
